libmspack: Data Fields

- Main Page
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- alloc : mspack_system
- append : mscab_decompressor
- attribs : mscabd_file

### - b -

- base : mschmd_sec_mscompressed, mschmd_sec_uncompressed
- base_offset : mscabd_cabinet

### - c -

- chm : mschmd_section
- chm_filename : mschmc_file
- chunk_size : mschmd_header
- close : msszdd_decompressor, mschm_decompressor, mscab_decompressor, mspack_system
- comp_type : mscabd_folder
- compress : msszdd_compressor
- content : mschmd_sec_mscompressed
- control : mschmd_sec_mscompressed
- copy : mspack_system

### - d -

- date_d : mscabd_file
- date_m : mscabd_file
- date_y : mscabd_file
- decompress : msszdd_decompressor
- density : mschmd_header
- depth : mschmd_header
- dir_offset : mschmd_header
- dummy : mskwaj_decompressor, mskwaj_compressor, mshlp_decompressor, mshlp_compressor, mslit_decompressor, mslit_compressor, mscab_compressor, mspack_file

### - e -

- extract : msszdd_decompressor, mschm_decompressor, mscab_decompressor

### - f -

- fast_find : mschm_decompressor
- fast_open : mschm_decompressor
- filename : mschmd_file, mschmd_header, mschmc_file, mscabd_file, mscabd_cabinet
- files : mschmd_header, mscabd_cabinet
- flags : mscabd_cabinet
- folder : mscabd_file
- folders : mscabd_cabinet
- free : mspack_system

### - g -

- generate : mschm_compressor

### - h -

- header_resv : mscabd_cabinet

### - i -

- id : mschmd_section
- index_root : mschmd_header

### - l -

- language : mschmd_header
- last_error : msszdd_decompressor, msszdd_compressor, mschm_decompressor, mschm_compressor, mscab_decompressor
- length : msszddd_header, mschmd_file, mschmd_header, mschmc_file, mscabd_file, mscabd_cabinet

### - m -

- message : mspack_system
- missing_char : msszddd_header

### - n -

- next : mschmd_file, mscabd_file, mscabd_folder, mscabd_cabinet
- nextcab : mscabd_cabinet
- nextinfo : mscabd_cabinet
- nextname : mscabd_cabinet
- null_ptr : mspack_system
- num_blocks : mscabd_folder
- num_chunks : mschmd_header

### - o -

- offset : mschmd_file, mschmd_sec_uncompressed, mscabd_file
- open : msszdd_decompressor, mschm_decompressor, mscab_decompressor, mspack_system

### - p -

- prepend : mscab_decompressor
- prevcab : mscabd_cabinet
- previnfo : mscabd_cabinet
- prevname : mscabd_cabinet

### - r -

- read : mspack_system
- rtable : mschmd_sec_mscompressed

### - s -

- search : mscab_decompressor
- sec0 : mschmd_header
- sec1 : mschmd_header
- section : mschmd_file, mschmc_file
- seek : mspack_system
- set_id : mscabd_cabinet
- set_index : mscabd_cabinet
- set_param : msszdd_compressor, mschm_compressor, mscab_decompressor
- sysfiles : mschmd_header

### - t -

- tell : mspack_system
- time_h : mscabd_file
- time_m : mscabd_file
- time_s : mscabd_file
- timestamp : mschmd_header

### - u -

- use_temporary_file : mschm_compressor

### - v -

- version : mschmd_header

### - w -

- write : mspack_system